ERPNext Foundation ERPNext Cloud User Manual Blog Discuss Frappé* Donate

[Release] Instructions for updating to/staying on v10/v11

release

#66

@snv
This fixes my error and I am able to upgrade.
Thank you ERPNext Team.


#67

@snv sorry misread

image


#68

Thanks for the prompt reply again

Here are the errors I am getting for restart and status commands


#69

@Vari you have to run this command from folder where you see env, apps, config folders


#70

@Manan_Shah Can you copy and paste mysql error instead of screen capture ?


#71

can anyone share .ova (Production Image) files :sweat_smile:


#72

Sorry but not able to copy text from VM terminal, tried enabling Bi-directional copy paste from VMBox settings but doesnt work
The error says
py.mysql.err.OperationalError: (2003, “Can’t connect to MySQL server on u’localhost ([Errno 111] Connection refused)’”)


#73

@snv Is the Production Image on this page https://erpnext.org/download for v11?


#74

I don’t think these have released yet.


#75

Ok, thanks


#76

Updated Instructions:


#77

upgrade has been interrupted after above error


#78

@snv


#79

This will work:

env/bin/pip install --upgrade requests

But please ensure to run bench setup requirements after.


#80

Hello, when I try to update I get this error. I don’t know what to do.

[frappe@erpmax frappe-bench]$ sudo bench update
INFO:bench.utils:updating bench
INFO:bench.utils:git pull
Already up-to-date.
remote: Enumerating objects: 8, done.
remote: Counting objects: 100% (8/8), done.
remote: Compressing objects: 100% (2/2), done.
remote: Total 8 (delta 6), reused 6 (delta 6), pack-reused 0
Unpacking objects: 100% (8/8), done.
From https://github.com/frappe/frappe
   5f817ed..13de5fa  hotfix     -> upstream/hotfix
()
()
This update will cause a major version change in Frappe/ERPNext from 10 to 11.
This would take significant time to migrate and might break custom apps.
Do you want to continue? [y/N]: y
INFO:bench.utils:./env/bin/pip install Pillow
/bin/sh: ./env/bin/pip: No such file or directory
Please install these dependencies using the command:
sudo yum install libtiff-devel libjpeg-devel libzip-devel freetype-devel lcms2-devel libwebp-devel tcl-devel tk-devel
Traceback (most recent call last):
  File "/bin/bench", line 11, in <module>
    load_entry_point('bench', 'console_scripts', 'bench')()
  File "/home/frappe/.bench/bench/cli.py", line 40, in cli
    bench_command()
  File "/usr/lib/python2.7/site-packages/click/core.py", line 764, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 717, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 1137, in invoke
    return _process_result(sub_ctx.command.invoke(sub_ctx))
  File "/usr/lib/python2.7/site-packages/click/core.py", line 956, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 555, in invoke
    return callback(*args, **kwargs)
  File "/home/frappe/.bench/bench/commands/update.py", line 60, in update
    _update(pull, patch, build, bench, auto, restart_supervisor, restart_systemd, requirements, no_backup, force=force, reset=reset)
  File "/home/frappe/.bench/bench/commands/update.py", line 70, in _update
    before_update(bench_path=bench_path, requirements=requirements)
  File "/home/frappe/.bench/bench/utils.py", line 759, in before_update
    validate_pillow_dependencies(bench_path, requirements)
  File "/home/frappe/.bench/bench/utils.py", line 767, in validate_pillow_dependencies
    exec_cmd("{pip} install Pillow".format(pip=pip))
  File "/home/frappe/.bench/bench/utils.py", line 159, in exec_cmd
    raise CommandFailedError(cmd)
bench.utils.CommandFailedError: ./env/bin/pip install Pillow

I also ran this

sudo yum install libtiff-devel libjpeg-devel libzip-devel freetype-devel lcms2-devel libwebp-devel tcl-devel tk-devel

But I got this message:


[root@erpmax ~]# sudo yum install libtiff-devel libjpeg-devel libzip-devel freetype-devel lcms2-devel libwebp-devel tcl-devel tk-devel
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirrors.clouvider.net
 * epel: mirror.freethought-internet.co.uk
 * extras: mirrors.clouvider.net
 * ius: lon.mirror.rackspace.com
 * updates: mirrors.clouvider.net
Package libtiff-devel-4.0.3-27.el7_3.x86_64 already installed and latest version
Package libjpeg-turbo-devel-1.2.90-6.el7.x86_64 already installed and latest version
Package libzip-devel-0.10.1-8.el7.x86_64 already installed and latest version
Package freetype-devel-2.8-12.el7.x86_64 already installed and latest version
Package lcms2-devel-2.6-3.el7.x86_64 already installed and latest version
Package libwebp-devel-0.3.0-7.el7.x86_64 already installed and latest version
Package 1:tcl-devel-8.5.13-8.el7.x86_64 already installed and latest version
Package 1:tk-devel-8.5.13-6.el7.x86_64 already installed and latest version
Nothing to do
[root@erpmax ~]#

Please help. Thanks


#81

Looks like pip is missing from your env.
Refer https://pip.pypa.io/en/stable/installing/


#82

Oh, Thank you.

Trying that now


#83

Thanks for this. But after updating, The website gives this error:

Traceback (most recent call last):
  File "/home/frappe/frappe-bench/apps/frappe/frappe/website/render.py", line 39, in render
    data = render_page('404')
  File "/home/frappe/frappe-bench/apps/frappe/frappe/website/render.py", line 133, in render_page_by_language
    lang_path = '{0}/{1}'.format(user_lang, path)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/website/render.py", line 149, in render_page
    # return rendered page
  File "/home/frappe/frappe-bench/apps/frappe/frappe/website/render.py", line 156, in build
    return out
  File "/home/frappe/frappe-bench/apps/frappe/frappe/website/render.py", line 169, in build_page
    path = hooks.website_catch_all[0]
  File "/home/frappe/frappe-bench/apps/frappe/frappe/website/context.py", line 28, in get_context
    context = build_context(context)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/website/context.py", line 100, in build_context
    # controller context extensions
  File "/home/frappe/frappe-bench/apps/frappe/frappe/website/context.py", line 37, in update_controller_context
    module = frappe.get_module(controller)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/__init__.py", line 704, in get_module
    def get_doc(*args, **kwargs):
  File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_module
    __import__(name)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/www/login.py", line 13, in <module>
    from frappe.utils.html_utils import get_icon_html
ImportError: cannot import name get_icon_html

And the desk dashboard doesn’t open too. I get this error:


Session Start Failed
Module import failed for Page (frappe.core.doctype.page.page Error: cannot import name safe_decode)

and this one:

No module named notification_control.notification_control

#84

Hello, I ran “bench build” and got the following error


[frappe@erpmax frappe-bench]$ bench build
yarn run v1.13.0
$ FRAPPE_ENV=production node rollup/build.js
module.js:550
    throw err;
    ^

Error: Cannot find module 'rollup'
    at Function.Module._resolveFilename (module.js:548:15)
    at Function.Module._load (module.js:475:25)
    at Module.require (module.js:597:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/home/frappe/frappe-bench/apps/frappe/rollup/build.js:4:16)
    at Module._compile (module.js:653:30)
    at Object.Module._extensions..js (module.js:664:10)
    at Module.load (module.js:566:32)
    at tryModuleLoad (module.js:506:12)
    at Function.Module._load (module.js:498:3)
error Command failed with exit code 1.
info Visit https://yarnpkg.com/en/docs/cli/run for documentation about this command.


#85

Also, After updating I get this error pop up on documents:

Traceback (most recent call last):
  File "/home/frappe/frappe-bench/apps/frappe/frappe/app.py", line 61, in application
    response = frappe.handler.handle()
  File "/home/frappe/frappe-bench/apps/frappe/frappe/handler.py", line 21, in handle
    data = execute_cmd(cmd)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/handler.py", line 56, in execute_cmd
    return frappe.call(method, **frappe.form_dict)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/__init__.py", line 1019, in call
    return fn(*args, **newargs)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/desk/notifications.py", line 279, in get_open_count
    filters=filters, limit=100, distinct=True, ignore_ifnull=True))
  File "/home/frappe/frappe-bench/apps/frappe/frappe/__init__.py", line 1274, in get_all
    return get_list(doctype, *args, **kwargs)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/__init__.py", line 1247, in get_list
    return frappe.model.db_query.DatabaseQuery(doctype).execute(None, *args, **kwargs)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/model/db_query.py", line 93, in execute
    result = self.build_and_run()
  File "/home/frappe/frappe-bench/apps/frappe/frappe/model/db_query.py", line 117, in build_and_run
    return frappe.db.sql(query, as_dict=not self.as_list, debug=self.debug, update=self.update)
  File "/home/frappe/frappe-bench/apps/frappe/frappe/database.py", line 210, in sql
    self._cursor.execute(query)
  File "/home/frappe/frappe-bench/env/lib/python2.7/site-packages/pymysql/cursors.py", line 170, in execute
    result = self._query(query)
  File "/home/frappe/frappe-bench/env/lib/python2.7/site-packages/pymysql/cursors.py", line 328, in _query
    conn.query(q)
  File "/home/frappe/frappe-bench/env/lib/python2.7/site-packages/pymysql/connections.py", line 516, in query
    self._affected_rows = self._read_query_result(unbuffered=unbuffered)
  File "/home/frappe/frappe-bench/env/lib/python2.7/site-packages/pymysql/connections.py", line 727, in _read_query_result
    result.read()
  File "/home/frappe/frappe-bench/env/lib/python2.7/site-packages/pymysql/connections.py", line 1066, in read
    first_packet = self.connection._read_packet()
  File "/home/frappe/frappe-bench/env/lib/python2.7/site-packages/pymysql/connections.py", line 683, in _read_packet
    packet.check_error()
  File "/home/frappe/frappe-bench/env/lib/python2.7/site-packages/pymysql/protocol.py", line 220, in check_error
    err.raise_mysql_exception(self._data)
  File "/home/frappe/frappe-bench/env/lib/python2.7/site-packages/pymysql/err.py", line 109, in raise_mysql_exception
    raise errorclass(errno, errval)
InternalError: (1054, u"Unknown column 'tabOpportunity.prevdoc_docname' in 'where clause'")

I don’t know why it comes up. And I also can’t seem to be able to save Material Requests anymore